floor= {}
window = {}
level = {}
sky = {}
lvl1 = {}
collides = {}
collides.__index = collides
collideList = {}

lvl1.pic = love.graphics.newImage("Sprites/Background1.png")
sky.pic = love.graphics.newImage("Sprites/Sky.png")
floor.pic = love.graphics.newImage("Sprites/Floor.png")

function loadLevel(lvl)
	if lvl == 1 then
		level.pic = lvl1.pic
	end
	sky.x = (window.width / 2) - (sky.pic:getWidth() * worldScale / 2)
	sky.y = -100
	floor.x = (window.width / 2) - (floor.pic:getWidth() * worldScale / 2)
	floor.y = 825
	level.x = (window.width / 2) - (level.pic:getWidth() * worldScale / 2)
	level.y = 0
	createButton(10,100,"Test","Test")
	newCollide(200, 780, 100, 60)
end

function drawLevel()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(sky.pic,sky.x,sky.y,0,worldScale)
	love.graphics.draw(level.pic,level.x,level.y,0,worldScale)
	love.graphics.draw(floor.pic, floor.x, floor.y, 0, worldScale)
	love.graphics.print("FPS: "..love.timer.getFPS(),0,0)
	drawCollide()
end

function newCollide(x,y,w,h)
	table.insert(collideList, {x=x,y=y,w=w,h=h})
end

function drawCollide()
	for i,v in ipairs(collideList) do
		love.graphics.setColor(255,0,0)
		love.graphics.rectangle("fill", v.x, v.y, v.w, v.h)
	end
end

function updateLevel(dt)
	-- Scroll
	sky.x = sky.x + 0.5 * player.xvel * dt
	-- level.y = level.y + player.yvel * dt

	-- Collisions
	
	
end