button = {}

function createButton(x,y,text,id)
	table.insert(button, {x=x,y=y,text=text,id=id})
end

function drawButton()
	local g = love.graphics
	for i,v in ipairs(button) do
		g.setColor(255,255,255)
		g.setFont(Large)
		g.print(v.text,v.x,v.y)
	end
end

function updateMenu(dt)
	x, y = love.mouse.getPosition( )
	
end

function buttonMouse(x,y)
	local g = love.graphics
	for i,v in ipairs(button) do
		if x > v.x and 
		   x < v.x + Large:getWidth(v.text) and
		   y < v.y + Large:getHeight(v.text) and
		   y > v.y then
		   		g.setColor(255,0,0)
		   		g.print(v.text,v.x,v.y)			
	    end
	end
end

function buttonClick(x,y)
	for i,v in ipairs(button) do
		if x > v.x and 
		   x < v.x + Large:getWidth(v.text) and
		   y < v.y + Large:getHeight(v.text) and
		   y > v.y then
		   if v.id == "Test" then
		   	love.quit()love.graphics.print("FPS: "..love.timer.getFPS(),0,0)
		   end
		end
	end
end